## g2 0.23

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#
# Makefile for g2 library
#
#

#
# g2 installation directories
#
LIBDIR = /usr/lib
INCDIR = /usr/include

#LIBDIR = $(HOME)/local/lib
#INCDIR = $(HOME)/local/include

#
#------------------------ do not edit ------------------------
#
SHELL = /bin/sh

CC           = gcc
CFLAGS       = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I./src  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
INSTALL      = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
FIND         = find
MAKEDEPEND   = makedepend
AR           = ar
ARFLAGS      = -rs

BASE_DIR = ./src
BASE_SRC = $(BASE_DIR)/g2_device.c     $(BASE_DIR)/g2_ui_control.c \
           $(BASE_DIR)/g2_util.c       $(BASE_DIR)/g2_fif.c \
           $(BASE_DIR)/g2_ui_device.c  $(BASE_DIR)/g2_virtual_device.c \
           $(BASE_DIR)/g2_graphic_pd.c $(BASE_DIR)/g2_physical_device.c \
           $(BASE_DIR)/g2_ui_graphic.c $(BASE_DIR)/g2_ui_virtual_device.c
BASE_INS = $(BASE_DIR)/g2.h


PS_DIR = ./src/PS
PS_SRC = $(PS_DIR)/g2_PS.c
PS_INS = $(PS_DIR)/g2_PS.h


X11_DIR = ./src/X11
X11_SRC = $(X11_DIR)/g2_X11.c
X11_INS = $(X11_DIR)/g2_X11.h


GIF_DIR = ./src/GIF
GIF_SRC = $(GIF_DIR)/g2_GIF.c
GIF_INS = $(GIF_DIR)/g2_GIF.h


SRC = $(BASE_SRC) $(PS_SRC) $(X11_SRC) $(GIF_SRC)
OBJ = $(SRC:.c=.o)

INS =  $(BASE_INS) $(PS_INS) $(X11_INS) $(GIF_INS)

.c.o:  
	$(CC) $(CFLAGS) -c $< -o $@



libg2.a: $(OBJ)
	$(AR) $(ARFLAGS) libg2.a $(OBJ)


install: libg2.a
	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
	test -d $(INCDIR) || mkdir -p $(INCDIR)
	$(INSTALL_DATA) libg2.a $(LIBDIR)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(INCDIR); \
	done

clean:
	-(cd ./demo ; make clean)
	-rm $(OBJ) libg2.a config.cache config.log Makefile.bak config.status
	-$(FIND) . -name "*~" -exec rm {} \;


demo:	libg2.a
	(cd ./demo ; make)


depend:
	$(MAKEDEPEND) -- $(CFLAGS) -- $(SRC)
	@echo
	@echo "Run 'make' to build g2 library."
	@echo


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== demo/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#
# Makefile for g2_library (demo)
#
#


CC = gcc

CFLAGS = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I../src -I../src/X11 -I../src/PS -I../src/GIF  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd

DEMO_PS = simple_PS
DEMO_X11 = simple_X11
DEMO_GIF = simple_GIF

DEMO = g2_test $(DEMO_PS) $(DEMO_X11) $(DEMO_GIF)

all:	$(DEMO)

demo:	$(DEMO)


g2_test:  g2_test.c
	$(CC) $(CFLAGS) g2_test.c $(LDFLAGS) -o $@

simple_PS:  simple_PS.c
	$(CC) $(CFLAGS) simple_PS.c $(LDFLAGS) -o $@

simple_X11:  simple_X11.c
	$(CC) $(CFLAGS) simple_X11.c $(LDFLAGS) -o $@

simple_GIF:  simple_GIF.c
	$(CC) $(CFLAGS) simple_GIF.c $(LDFLAGS) -o $@



demo_f: demo_f.f
	f77 -i8 demo_f.f $(LDFLAGS) -o $@


clean:
	-rm $(DEMO) demo_f *~ core *.ps *.gif

## g2 0.40

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 #
 # g2 installation directories
 #
-LIBDIR = /usr/lib
-INCDIR = /usr/include
+LIBDIR = /usr/local/lib
+INCDIR = /usr/local/include
 
 #LIBDIR = $(HOME)/local/lib
 #INCDIR = $(HOME)/local/include
@@ -20,7 +20,7 @@
 SHELL = /bin/sh
 
 CC           = gcc
-CFLAGS       = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I./src  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 INSTALL      = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 FIND         = find
@@ -29,11 +29,12 @@
 ARFLAGS      = -rs
 
 BASE_DIR = ./src
-BASE_SRC = $(BASE_DIR)/g2_device.c     $(BASE_DIR)/g2_ui_control.c \
-           $(BASE_DIR)/g2_util.c       $(BASE_DIR)/g2_fif.c \
-           $(BASE_DIR)/g2_ui_device.c  $(BASE_DIR)/g2_virtual_device.c \
-           $(BASE_DIR)/g2_graphic_pd.c $(BASE_DIR)/g2_physical_device.c \
-           $(BASE_DIR)/g2_ui_graphic.c $(BASE_DIR)/g2_ui_virtual_device.c
+BASE_SRC = $(BASE_DIR)/g2_device.c         $(BASE_DIR)/g2_ui_control.c \
+           $(BASE_DIR)/g2_util.c           $(BASE_DIR)/g2_fif.c \
+           $(BASE_DIR)/g2_virtual_device.c $(BASE_DIR)/g2_physical_device.c \
+           $(BASE_DIR)/g2_graphic_pd.c     $(BASE_DIR)/g2_control_pd.c \
+           $(BASE_DIR)/g2_ui_graphic.c     $(BASE_DIR)/g2_ui_virtual_device.c \
+           $(BASE_DIR)/g2_ui_device.c
 BASE_INS = $(BASE_DIR)/g2.h
 
 
@@ -61,10 +62,18 @@
 	$(CC) $(CFLAGS) -c $< -o $@
 
 
+all: libg2.a
+	cp $(INS) ./include/
+
+shared: libg2.so
+	@echo
 
 libg2.a: $(OBJ)
 	$(AR) $(ARFLAGS) libg2.a $(OBJ)
+	ln -s libg2.a libg2.0.40.a
 
+libg2.so: $(OBJ)
+	$(CC) -shared -o libg2.so $(OBJ) -lc -lm
 
 install: libg2.a
 	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
@@ -76,13 +85,16 @@
 
 clean:
 	-(cd ./demo ; make clean)
-	-rm $(OBJ) libg2.a config.cache config.log Makefile.bak config.status
-	-$(FIND) . -name "*~" -exec rm {} \;
-
+	-rm -f $(OBJ)
+	-rm -f libg2.a config.cache config.log Makefile.bak config.status
+	-rm -f ./include/*.h
+	-$(FIND) . -name "*~" -exec rm -f {} \;
+	-(cd ./g2_perl ; make clean)
+	-rm -f ./g2_perl/test.ps ./g2_perl/test.gif
+	-rm -f ./libg2.0.40.a
 
 demo:	libg2.a
 	(cd ./demo ; make)
-
 
 depend:
 	$(MAKEDEPEND) -- $(CFLAGS) -- $(SRC)

=== demo/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 CC = gcc
 
-CFLAGS = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I../src -I../src/X11 -I../src/PS -I../src/GIF  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GIF -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd
 
 DEMO_PS = simple_PS

## g2 0.51-1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#
# Makefile for g2 library
#
#

G2_VERSION = 0.51

#
# g2 installation directories
#
LIBDIR = /usr/local/lib
INCDIR = /usr/local/include

#LIBDIR = $(HOME)/local/lib
#INCDIR = $(HOME)/local/include

#
#------------------------ do not edit ------------------------
#
SHELL = /bin/sh

CC           = gcc
CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
INSTALL      = /usr//bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
FIND         = find
MAKEDEPEND   = makedepend
AR           = ar
ARFLAGS      = -cr
RANLIB       = ranlib
LD           = ld
LDFLAGS      =   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd


BASE_DIR = ./src
BASE_SRC = $(BASE_DIR)/g2_device.c         $(BASE_DIR)/g2_ui_control.c \
           $(BASE_DIR)/g2_util.c           $(BASE_DIR)/g2_fif.c \
           $(BASE_DIR)/g2_virtual_device.c $(BASE_DIR)/g2_physical_device.c \
           $(BASE_DIR)/g2_graphic_pd.c     $(BASE_DIR)/g2_control_pd.c \
           $(BASE_DIR)/g2_ui_graphic.c     $(BASE_DIR)/g2_ui_virtual_device.c \
           $(BASE_DIR)/g2_ui_device.c      $(BASE_DIR)/g2_splines.c
BASE_INS = $(BASE_DIR)/g2.h


PS_DIR = ./src/PS
PS_SRC = $(PS_DIR)/g2_PS.c
PS_INS = $(PS_DIR)/g2_PS.h

X11_DIR = ./src/X11
X11_SRC = $(X11_DIR)/g2_X11.c
X11_INS = $(X11_DIR)/g2_X11.h

#WIN32_DIR = ./src/WIN32
#WIN32_SRC = $(WIN32_DIR)/g2_win32.c $(WIN32_DIR)/g2_win32_thread.c 
#WIN32_INS = $(WIN32_DIR)/g2_win32.h

GD_DIR = ./src/GD
GD_SRC = $(GD_DIR)/g2_gd.c
GD_INS = $(GD_DIR)/g2_gd.h


SRC = $(BASE_SRC) $(PS_SRC) $(X11_SRC) $(WIN32_SRC) $(GD_SRC)
OBJ = $(SRC:.c=.o)

INS =  $(BASE_INS) $(PS_INS) $(X11_INS) $(WIN32_INS) $(GD_INS)

.c.o:  
	$(CC) $(CFLAGS) -c $< -o $@


all: libg2.a
	test -d ./include || mkdir ./include
	cp $(INS) ./include/

shared: libg2.so.0.$(G2_VERSION)
	@echo


libg2.a: $(OBJ)
	$(AR) $(ARFLAGS) libg2.a $(OBJ)
	test ! -n "$(RANLIB)" || $(RANLIB) $@
	test ! -f ./libg2.$(G2_VERSION).a || rm ./libg2.$(G2_VERSION).a
	ln -s libg2.a libg2.$(G2_VERSION).a

libg2.so.0.$(G2_VERSION): $(OBJ)
	ld -shared -soname libg2.so.0 -o $@ $(OBJ) 

install: libg2.a
	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
	test -d $(INCDIR) || mkdir -p $(INCDIR)
	$(INSTALL_DATA) libg2.a $(LIBDIR)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(INCDIR); \
	done

release: clean doc
	cp ./doc/latex/refman.ps  ./doc/g2_refman.ps
	cp ./doc/latex/refman.pdf ./doc/g2_refman.pdf
	rm -r ./doc/latex

doc:
	(cd ./doc ; doxygen Doxyfile)
	(cd ./doc/latex ; make ps ; make pdf)


clean:
	-(cd ./demo ; make clean)
	-rm -f $(OBJ)
	-rm -f libg2.a config.cache config.log Makefile.bak config.status
	-rm -f ./include/*.h
	-$(FIND) . -name "*~" -exec rm -f {} \;
	-(cd ./g2_perl ; make clean)
	-rm -f ./g2_perl/test.ps
	-rm -f ./g2_perl/test.png
	-rm -f ./g2_perl/Makefile.old
	-rm -f ./libg2.so.0.$(G2_VERSION)
	-rm -f libg2.$(G2_VERSION).a
	-rm -f a.out
	-rm -fr doc/html/ doc/latex/ doc/g2_refman.ps doc/g2_refman.pdf

demo:	libg2.a
	(cd ./demo ; make)

depend:
	$(MAKEDEPEND) -- $(CFLAGS) -- $(SRC)
	@echo
	@echo "Run 'make' to build g2 library."
	@echo


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== demo/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#
# Makefile for g2_library (demo)
#
#


CC = gcc
CXX = c++
##Linux
F77 = g77
CPP = /lib/cpp

##OSF
#F77 = f77
#F77_FLAGS=-i8

##AIX
#F77 = xlf
#CPP = /usr/ccs/lib/cpp

##IRIX
#F77 = f77 -n32
#CPP = /lib/cpp -P -DFORTRAN

CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GD -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GD -g -O2  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd

DEMO_PS = simple_PS
DEMO_X11 = simple_X11 pointer
DEMO_GD = simple_gd
#DEMO_WIN32 = simple_win32


DEMO = g2_test g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)

all:	$(DEMO)

demo:	$(DEMO)


g2_test:  g2_test.c
	$(CC) $(CFLAGS) g2_test.c $(LDFLAGS) -o $@

g2_splines_demo:  g2_splines_demo.c
	$(CC) $(CFLAGS) g2_splines_demo.c $(LDFLAGS) -o $@

simple_PS:  simple_PS.c
	$(CC) $(CFLAGS) simple_PS.c $(LDFLAGS) -o $@

simple_X11:  simple_X11.c
	$(CC) $(CFLAGS) simple_X11.c $(LDFLAGS) -o $@

simple_win32:  simple_win32.c
	$(CC) $(CFLAGS) simple_win32.c $(LDFLAGS) -lkernel32 -lgdi32 -luser32 -lcomdlg32 -o $@

pointer:  pointer.c
	$(CC) $(CFLAGS) pointer.c $(LDFLAGS) -o $@

simple_gd:  simple_gd.c
	$(CC) $(CFLAGS) simple_gd.c $(LDFLAGS) -o $@

demo_cpp: demo_cpp.cpp
	$(CXX) $(CXXFLAGS) demo_cpp.cpp $(LDFLAGS) -o $@	

demo_f: demo_f.f
	$(F77) $(F77_FLAGS) demo_f.f $(LDFLAGS) -o $@

g2testf: g2_test.f
	$(CPP)  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1  -E g2_test.f > g2testf.f
	$(F77) g2testf.f $(LDFLAGS) -o g2testf

clean:
	-rm $(DEMO) g2testf g2testf.f demo_f *~ core *.ps *.eps *.png *.jpg

=== debian/changelog ===
g2 (0.51-1) unstable; urgency=low

  * New upstream version
  * Updated package descriptions  (Closes: #209741, #209898)

 -- Eric Cain <ecain@debian.org>  Wed, 31 Mar 2004 17:34:38 -0800

g2 (0.49a-6) unstable; urgency=low

  * Split the Perl module into its own package 

 -- Eric Cain <ecain@debian.org>  Wed, 14 May 2003 23:08:46 -0700

g2 (0.49a-5) unstable; urgency=low

  * Perl shared lib is now "-fPIC"  Closes: Bug#192392
  * Perl module really is fixed now...really it is

 -- Eric Cain <ecain@debian.org>  Fri,  9 May 2003 15:15:15 -0700

g2 (0.49a-4) unstable; urgency=low

  * Submitted bad makefile with Perl module.  Closes: Bug#192350

 -- Eric Cain <ecain@debian.org>  Wed,  7 May 2003 17:14:49 -0700

g2 (0.49a-3) unstable; urgency=low

  * Fixed Perl support  Closes: Bug#188119

 -- Eric Cain <ecain@debian.org>  Wed,  7 May 2003 10:57:43 -0700

g2 (0.49a-2) unstable; urgency=low

  * Changed Build-Depends: replaced "libgd-dev" with 
    "libgd2-dev | libgd-dev"

 -- Eric Cain <ecain@debian.org>  Sat,  6 Apr 2002 23:37:31 -0800

g2 (0.49a-1) unstable; urgency=low

  * New upstream version

 -- Eric Cain <ecain@debian.org>  Mon, 25 Mar 2002 01:31:12 -0800

g2 (0.42.20010417-1) unstable; urgency=low

  * New upstream version
  * Author switched from the GPL to the LGPL. Updated copyright file
    accordingly.

 -- Eric Cain <ecain@debian.org>  Wed, 25 Apr 2001 13:54:27 -0700

g2 (0.41b.20001201-2) unstable; urgency=low

  * Now uses libtool so all architectures can enjoy g2
  * Added Build-Depends on: autoconf, libtool, xutils
  * Changed Sections again. Put libg20 in Section libs and libg2-dev in
    Section devel to eliminate override disparity

 -- Eric Cain <ecain@debian.org>  Wed, 25 Apr 2001 10:21:02 -0800

g2 (0.41b.20001201-1) unstable; urgency=low

  * New upstream version. (latest CVS)
  * Standards-Version 3.2.1
  * Created new debian/ directory from scratch.  Closes: Bug#84817
  * Renamed and split packge from g2 to libg2 and libg2-dev
  * Moved to "Section: graphics"

 -- Eric Cain <ecain@debian.org>  Sat, 17 Mar 2001 11:01:10 -0800

g2 (0.40-2) stable; urgency=low

  * New maintainer.
  * Updated description - g2 site moved since last release.
  * Added dependency on libgd-gif1.  Closes: Bug#61124

 -- Eric Cain <ecain@debian.org>  Sun, 14 Jan 2001 23:18:08 -0800

g2 (0.40-1) unstable; urgency=low

  * New upstream

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 28 Jun 1999 17:23:52 -0700
	

g2 (0.23-4) unstable frozen; urgency=low

  * recompile with libc6 2.0.7u-6

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  3 Dec 1998 01:54:50 -0700
	

g2 (0.23-3) unstable; urgency=low

  * Add shared library
  * Fix dependency line

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  2 Oct 1998 15:35:49 -0700
	

g2 (0.23-2) unstable; urgency=low

  * Fixed copyright statement
  * compile with egcc if available

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun, 27 Sep 1998 16:28:28 -0700
	

g2 (0.23-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 27 Jul 1998 22:59:17 -0700

=== debian/control ===
Source: g2
Section: graphics
Priority: optional
Maintainer: Eric Cain <ecain@debian.org>
Build-Depends: debhelper (>> 4.0.0), autoconf, libtool, libgd2-noxpm-dev | libgd2-xpm-dev | libgd2-dev | libgd-dev (>> 1.6.1), xutils, xlibs-dev, perl
Standards-Version: 3.6.1

Package: libg2-dev
Section: libdevel
Architecture: any
Depends: libg20 (= ${Source-Version}), libc6-dev
Description: g2 2D graphics library (development files)
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.
 .
 This package provides static library and header files for g2.

Package: libg20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: g2
Conflicts: g2
Description: g2 2D graphics library
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.

Package: libg20-perl
Section: perl
Architecture: any
Depends: libg20 (>= ${Source-Version}), ${perl:Depends}
Description: g2 2D graphics library (Perl module)
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.
 .
 This package provides the g2 perl module.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# Use the latest version number in the CHANGES file 
version=`head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+[A-Za-z]/)) print substr($$0,RSTART,RLENGTH)}'`
rversion=`head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+/)) print substr($$0,RSTART,RLENGTH)}'`
major=`head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+/)) print substr($$0,RSTART,RLENGTH)}'`


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	libtoolize -f -c
	autoconf
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) depend
	$(MAKE) libg2.a RVERSION=$(rversion)
	(cd ./g2_perl && perl Makefile.PL INSTALLDIRS=vendor)
	$(MAKE) -C ./g2_perl
	# clean up and build the shared lib
	-rm -f src/*.o src/*/*.o
	$(MAKE) PICFLAG="-fPIC" RVERSION=$(rversion) shared

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) RVERSION=$(rversion) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) RVERSION=$(rversion) install prefix=$(CURDIR)/debian/libg2-dev
	$(MAKE) -C ./g2_perl install PREFIX=$(CURDIR)/debian/libg20-perl/usr

	#install -D -m 644 libg2.so.$(rversion)  debian/tmp/usr/lib/libg2.so.$(rversion)

	mkdir -p debian/tmp/usr/lib

	mv debian/libg2-dev/usr/lib/libg2.so.$(rversion) debian/tmp/usr/lib/libg2.so.$(rversion)
	mv debian/libg2-dev/usr/lib/libg2.so.$(major) debian/tmp/usr/lib/libg2.so.$(major)
	ln -s libg2.so.$(rversion) debian/tmp/usr/lib/libg2.so


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	#
	# build libg2${major} package by moving files from tmp
	#
	dh_movefiles -plibg2$(major) \
	usr/lib/libg2.so.$(major)         \
	usr/lib/libg2.so.$(rversion)

	dh_movefiles -plibg2-dev \
	usr/lib/libg2.so

	#install -p -m 755 -d debian/libg2-dev/usr/share/doc/libg2$(major)

	install -m 755 -d debian/libg20-perl/usr/share/perl5/
	
	mv debian/libg20-perl/usr/lib/perl5/*.pm debian/libg20-perl/usr/share/perl5/

	dh_installchangelogs CHANGES
	
	dh_installdocs
	dh_installexamples
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## g2 0.61

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,14 @@
 #
 #
 
-G2_VERSION = 0.51
+G2_VERSION = 0.61
 
 #
 # g2 installation directories
 #
 LIBDIR = /usr/local/lib
 INCDIR = /usr/local/include
+
 
 #LIBDIR = $(HOME)/local/lib
 #INCDIR = $(HOME)/local/include
@@ -22,7 +23,7 @@
 SHELL = /bin/sh
 
 CC           = gcc
-CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 INSTALL      = /usr//bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 FIND         = find
@@ -48,6 +49,10 @@
 PS_SRC = $(PS_DIR)/g2_PS.c
 PS_INS = $(PS_DIR)/g2_PS.h
 
+FIG_DIR = ./src/FIG
+FIG_SRC = $(FIG_DIR)/g2_FIG.c
+FIG_INS = $(FIG_DIR)/g2_FIG.h
+
 X11_DIR = ./src/X11
 X11_SRC = $(X11_DIR)/g2_X11.c
 X11_INS = $(X11_DIR)/g2_X11.h
@@ -61,11 +66,19 @@
 GD_INS = $(GD_DIR)/g2_gd.h
 
 
-SRC = $(BASE_SRC) $(PS_SRC) $(X11_SRC) $(WIN32_SRC) $(GD_SRC)
+SRC = $(BASE_SRC) $(PS_SRC) $(FIG_SRC) $(X11_SRC) $(WIN32_SRC) $(GD_SRC)
 OBJ = $(SRC:.c=.o)
 
-INS =  $(BASE_INS) $(PS_INS) $(X11_INS) $(WIN32_INS) $(GD_INS)
+INS =  $(BASE_INS) $(PS_INS) $(FIG_INS) $(X11_INS) $(WIN32_INS) $(GD_INS)
 
+#
+# define some phony targets
+#
+.PHONY: all shared clean doc release demo
+
+#
+# major rule
+#
 .c.o:  
 	$(CC) $(CFLAGS) -c $< -o $@
 
@@ -81,8 +94,6 @@
 libg2.a: $(OBJ)
 	$(AR) $(ARFLAGS) libg2.a $(OBJ)
 	test ! -n "$(RANLIB)" || $(RANLIB) $@
-	test ! -f ./libg2.$(G2_VERSION).a || rm ./libg2.$(G2_VERSION).a
-	ln -s libg2.a libg2.$(G2_VERSION).a
 
 libg2.so.0.$(G2_VERSION): $(OBJ)
 	ld -shared -soname libg2.so.0 -o $@ $(OBJ) 
@@ -114,6 +125,8 @@
 	-(cd ./g2_perl ; make clean)
 	-rm -f ./g2_perl/test.ps
 	-rm -f ./g2_perl/test.png
+	-rm -f ./g2_perl/test.jpg
+	-rm -f ./g2_perl/test.fig
 	-rm -f ./g2_perl/Makefile.old
 	-rm -f ./libg2.so.0.$(G2_VERSION)
 	-rm -f libg2.$(G2_VERSION).a

=== demo/Makefile ===
--- 
+++ 
@@ -24,17 +24,18 @@
 #F77 = f77 -n32
 #CPP = /lib/cpp -P -DFORTRAN
 
-CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GD -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
-CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GD -g -O2  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GD -I../src/FIG -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/FIG/ -I../src/GD -g -O2  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd
 
 DEMO_PS = simple_PS
+DEMO_FIG = simple_FIG
 DEMO_X11 = simple_X11 pointer
 DEMO_GD = simple_gd
 #DEMO_WIN32 = simple_win32
 
 
-DEMO = g2_test g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)
+DEMO = g2_test g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_FIG) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)
 
 all:	$(DEMO)
 
@@ -49,6 +50,9 @@
 
 simple_PS:  simple_PS.c
 	$(CC) $(CFLAGS) simple_PS.c $(LDFLAGS) -o $@
+
+simple_FIG: simple_FIG.c
+	$(CC) $(CFLAGS) simple_FIG.c $(LDFLAGS) -o $@
 
 simple_X11:  simple_X11.c
 	$(CC) $(CFLAGS) simple_X11.c $(LDFLAGS) -o $@
@@ -69,10 +73,10 @@
 	$(F77) $(F77_FLAGS) demo_f.f $(LDFLAGS) -o $@
 
 g2testf: g2_test.f
-	$(CPP)  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1  -E g2_test.f > g2testf.f
+	$(CPP)  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1  -E g2_test.f > g2testf.f
 	$(F77) g2testf.f $(LDFLAGS) -o g2testf
 
 clean:
-	-rm $(DEMO) g2testf g2testf.f demo_f *~ core *.ps *.eps *.png *.jpg
+	-rm $(DEMO) g2testf g2testf.f demo_f *~ core *.ps *.fig *.eps *.png *.jpg *.fig.bak

## g2 0.70

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 #
 
-G2_VERSION = 0.61
+G2_VERSION = 0.70
 
 #
 # g2 installation directories
@@ -24,7 +24,7 @@
 
 CC           = gcc
 CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
-INSTALL      = /usr//bin/install -c
+INSTALL      = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 FIND         = find
 MAKEDEPEND   = makedepend

=== demo/Makefile ===
--- 
+++ 
@@ -24,18 +24,18 @@
 #F77 = f77 -n32
 #CPP = /lib/cpp -P -DFORTRAN
 
-CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GD -I../src/FIG -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
-CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/FIG/ -I../src/GD -g -O2  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD -I../src/FIG -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD/ -I../src/FIG -g -O2  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd
 
 DEMO_PS = simple_PS
 DEMO_FIG = simple_FIG
-DEMO_X11 = simple_X11 pointer
+DEMO_X11 = simple_X11 pointer handles
 DEMO_GD = simple_gd
 #DEMO_WIN32 = simple_win32
 
 
-DEMO = g2_test g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_FIG) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)
+DEMO = g2_test g2_arc g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_FIG) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)
 
 all:	$(DEMO)
 
@@ -44,6 +44,9 @@
 
 g2_test:  g2_test.c
 	$(CC) $(CFLAGS) g2_test.c $(LDFLAGS) -o $@
+
+g2_arc: g2_arc.c
+	$(CC) $(CFLAGS) g2_arc.c $(LDFLAGS) -o $@
 
 g2_splines_demo:  g2_splines_demo.c
 	$(CC) $(CFLAGS) g2_splines_demo.c $(LDFLAGS) -o $@
@@ -63,6 +66,9 @@
 pointer:  pointer.c
 	$(CC) $(CFLAGS) pointer.c $(LDFLAGS) -o $@
 
+handles: handles.c
+	$(CC) $(CFLAGS) handles.c $(LDFLAGS) -o $@
+
 simple_gd:  simple_gd.c
 	$(CC) $(CFLAGS) simple_gd.c $(LDFLAGS) -o $@

## g2 0.72

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
-# Generated automatically from Makefile.in by configure.
 #
 #
 # Makefile for g2 library
 #
 #
 
-G2_VERSION = 0.70
+G2_VERSION = 0.72
 
 #
 # g2 installation directories
@@ -23,7 +22,7 @@
 SHELL = /bin/sh
 
 CC           = gcc
-CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS       = -I./src -O2  -I/usr/local/include -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 
 INSTALL      = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 FIND         = find
@@ -32,7 +31,7 @@
 ARFLAGS      = -cr
 RANLIB       = ranlib
 LD           = ld
-LDFLAGS      =   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd
+LDFLAGS      = 
 
 
 BASE_DIR = ./src
@@ -98,6 +97,9 @@
 libg2.so.0.$(G2_VERSION): $(OBJ)
 	ld -shared -soname libg2.so.0 -o $@ $(OBJ) 
 
+libg2.so: libg2.so.0.$(G2_VERSION)
+	ln -f -s libg2.so.0.$(G2_VERSION) $@
+
 install: libg2.a
 	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
 	test -d $(INCDIR) || mkdir -p $(INCDIR)
@@ -118,6 +120,7 @@
 
 clean:
 	-(cd ./demo ; make clean)
+	-(cd ./g2_python ; make clean)
 	-rm -f $(OBJ)
 	-rm -f libg2.a config.cache config.log Makefile.bak config.status
 	-rm -f ./include/*.h

=== demo/Makefile ===
#
#
# Makefile for g2_library (demo)
#
#


CC = gcc
CXX = g++
##Linux
F77 = g77
CPP = /lib/cpp

##OSF
#F77 = f77
#F77_FLAGS=-i8

##AIX
#F77 = xlf
#CPP = /usr/ccs/lib/cpp

##IRIX
#F77 = f77 -n32
#CPP = /lib/cpp -P -DFORTRAN

CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD -I../src/FIG -O2  -I/usr/local/include -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 
CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD/ -I../src/FIG -O2 -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 
LIBS =  -L.. -lg2  -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lXext -lgd

DEMO_PS = simple_PS
DEMO_FIG = simple_FIG
DEMO_X11 = simple_X11 pointer handles g2_anim
DEMO_GD = simple_gd
#DEMO_WIN32 = simple_win32 g2_anim


DEMO = g2_test g2_arc g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_FIG) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)

all:	$(DEMO)

demo:	$(DEMO)


g2_test:  g2_test.c
	$(CC) $(CFLAGS) g2_test.c $(LIBS) $(LDFLAGS) -o $@

g2_arc: g2_arc.c
	$(CC) $(CFLAGS) g2_arc.c  $(LIBS) $(LDFLAGS) -o $@

g2_splines_demo:  g2_splines_demo.c
	$(CC) $(CFLAGS) g2_splines_demo.c $(LIBS) $(LDFLAGS) -o $@

g2_anim:  g2_anim.c
	$(CC) $(CFLAGS) g2_anim.c  $(LIBS) $(LDFLAGS) -o $@


simple_PS:  simple_PS.c
	$(CC) $(CFLAGS) simple_PS.c  $(LIBS) $(LDFLAGS) -o $@

simple_FIG: simple_FIG.c
	$(CC) $(CFLAGS) simple_FIG.c  $(LIBS) $(LDFLAGS) -o $@

simple_X11:  simple_X11.c
	$(CC) $(CFLAGS) simple_X11.c  $(LIBS) $(LDFLAGS) -o $@

simple_win32:  simple_win32.c
	$(CC) $(CFLAGS) simple_win32.c  $(LIBS) $(LDFLAGS) -lkernel32 -lgdi32 -luser32 -lcomdlg32 -o $@

pointer:  pointer.c
	$(CC) $(CFLAGS) pointer.c  $(LIBS) $(LDFLAGS) -o $@

handles: handles.c
	$(CC) $(CFLAGS) handles.c  $(LIBS) $(LDFLAGS) -o $@

simple_gd:  simple_gd.c
	$(CC) $(CFLAGS) simple_gd.c  $(LIBS) $(LDFLAGS) -o $@

demo_cpp: demo_cpp.cpp
	$(CXX) $(CXXFLAGS) demo_cpp.cpp  $(LIBS) $(LDFLAGS) -o $@	

demo_f: demo_f.f
	$(F77) $(F77_FLAGS) demo_f.f  $(LIBS) $(LDFLAGS) -o $@

g2testf: g2_test.f
	$(CPP) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1  -E g2_test.f > g2testf.f
	$(F77) g2testf.f $(LDFLAGS) -o g2testf

clean:
	-rm $(DEMO) g2testf g2testf.f demo_f *~ core *.ps *.fig *.eps *.png *.jpg *.fig.bak

=== g2_python/Makefile ===
# -*- sh -*-

.PHONY: all build install demo clean

DEFS=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 
LIBS= -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lXext -lgd
LDSHARED=ld

# either ../libg2.so or ../libg2.a must be there
# to make libg2.so the default, uncomment the next line and the three lines below DEPENDENCY=
#ifeq ("$(LDSHARED)","")
DEPENDENCY= libg2.a
#else
#DEPENDENCY= libg2.so
#endif

all: build

build: ../$(DEPENDENCY)
	python setup.py "$(DEFS)" "$(LIBS)" build_ext

../$(DEPENDENCY):
	cd ..; make $(DEPENDENCY)

# must be root
install: build
	python setup.py "$(DEFS)" "$(LIBS)" install

demo:
	ln -f -s $(shell find build -name g2.so) .
	python g2_test.py

clean:
	-rm -fr build
	-rm -f g2.so g2.map g2_test{_clip.eps,.{eps,ps,png,jpg,fig}} penguin.pyc

=== debian/changelog ===
g2 (0.72-7) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * build-depend on libgd-dev, not libgd2-dev
    Closes: #880550
  * Drop explicit autoreconf which is default in debhelper 10
  * DEP5
  * hardening=+all
  * DEP3

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 11:33:32 +0100

g2 (0.72-6) unstable; urgency=medium

  * Project now cloned to Github - adapt watch file (please note that
    the tarball fetched from there has a different md5sum but files are
    identical)
  * Fix homepage
  * cme fix dpkg-control
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2017 14:54:29 +0100

g2 (0.72-5) unstable; urgency=medium

  * The typo in $(CURDIR) made libg2 linkage get skipped.
    The LD_RUN_PATH trick is to avoid an RPATH setting in the resulting DSO.
    Thanks for the patch to Niko Tyni <ntyni@debian.org>
    Closes: #712088

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2013 17:12:01 +0100

g2 (0.72-4) unstable; urgency=low

  * Make use of dh-autoreconf (thanks again to Samuel Thibault for
    the patch)
    Closes: #729290
  * debian/copyright: DEP5
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2013 18:13:22 +0100

g2 (0.72-3) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.4 (no changes needed)
    - Canonical Vcs fields
    - Get libgd2-dev dependency straight according to
      http://lists.alioth.debian.org/pipermail/debian-med-packaging/2013-May/019692.html
      also add  ${shlibs:Depends}
    - Drop libc6-dev dependency
    - cme fix dpkg-control
  * Debhelper 9 (control+compat)
  * debian/patches/series: drop patch stabelise_makefile.diff because
    it seems to originate from improper use of autotools-dev which is
    void now after using dh.
  * debian/patches/010_configure_in.diff: Add change from Samuel Thibault to the
    patch to build on HURD as well (thanks to Samuel)
    Closes: #729186
  * debian/patches/hardening.patch,debian/rules:  Propagate hardening options
    which looks OK, but lintian warning remains anyway

 -- Andreas Tille <tille@debian.org>  Sun, 10 Nov 2013 08:12:07 +0100

g2 (0.72-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't mix source format 3.0 (quilt) and manual usage of quilt:
    - Drop manual quilt calls from debian/rules;
    - Drop superfluous quilt Build-Depends.
    Closes: #643478

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Nov 2011 16:59:33 +0100

g2 (0.72-2) unstable; urgency=low

  * Took over package in Debian Med team maintenance
    because it serves as precondition for some Debian Med
    maintained packages.
    Closes: #380146
  * debian/control:
    - debhelper 7
    - Standards-Version: 3.9.1 (no changes needed)
    - Added Vcs and Homepage Fields
    - Added {misc:Depends}
  * removed debian/{*.files,*.substvars,*.preinst}
  * Moved debian examples to libg2-dev.examples and
    docs to libg2-dev.docs
  * Added README.source
  * debian/patches/fix_pod2man_errors.diff: Fix Pod2Man
    errors
  * debian/source/format: 3.0 (quilt)
  * debian/patches/fix_linker_libs.diff: Make sure libraries are
    properly linked
    Closes: #558859, #556290
  * Do not install PostScript version of the doc - PDF is sufficient
  * debian/rules:
    - do not delete upstream Makefiles and config* files in clean
      target
    - s/PREFIX/DESTDIR/ (debian-rules-makemaker-prefix-is-deprecated)
    - make real use of autotools-dev and also keep configure to be
      able to properly build twice in a row

 -- Andreas Tille <tille@debian.org>  Wed, 23 Feb 2011 07:39:12 +0100

g2 (0.72-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Add quilt patch system.
    + Move old source changes to quilt.
  * Update build-dep from xutils to xutils-dev.
  * Remove rpath with chrpath. (Closes: #389934).
    + Add build-dep on chrpath.
  * Make clean not ignore errors.
  * Replace ${Source-Version} with ${binary:Version}.
  * Set -e in maintainer scripts.
  * Update debian/copyright syntax and add missing holders.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 27 Apr 2009 12:22:34 -0400

g2 (0.70-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group.

 -- Luk Claes <luk@debian.org>  Sun, 18 Nov 2007 18:12:42 +0100

g2 (0.70-1.2) unstable; urgency=low

  * Non Maintainer Upload
  * Fix library include path for libg20-perl libraries (Closes: #356565)
    thanks Niko Tyni for the patch.
  * Allow for building the package on kfreebsd et al. (Closes: #336952)
    thanks to Aurelien Jarno for the patch.

 -- Don Armstrong <don@debian.org>  Fri, 21 Apr 2006 14:35:30 -0700

g2 (0.70-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #346693).
    
 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 22 Jan 2006 02:05:58 +0100

g2 (0.70-1) unstable; urgency=low

  * New upstream version 

 -- Eric Cain <ecain@debian.org>  Fri, 23 Sep 2005 20:20:20 -0700

g2 (0.61-1) unstable; urgency=low

  * New upstream version
  * Inadvertently removed "-fPIC" in previous version.
    Restored. (Closes: Bug#243499)

 -- Eric Cain <ecain@debian.org>  Thu,  8 Jul 2004 23:12:36 -0700

=== debian/control ===
Source: g2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               libtool,
               libx11-dev,
               chrpath,
               libgd-dev,
               xutils-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/g2.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/g2.git
Homepage: https://github.com/danielrmeyer/g2/

Package: libg2-dev
Architecture: any
Section: libdevel
Depends: libg20 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: g2 2D graphics library (development files)
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.
 .
 This package provides static library and header files for g2.

Package: libg20
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: g2 2D graphics library
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.

Package: libg20-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends},
         libg20 (>= ${binary:Version}),
         ${perl:Depends},
         ${misc:Depends}
Description: g2 2D graphics library (Perl module)
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.
 .
 This package provides the g2 perl module.

=== debian/debian/control ===
Source: debian
Maintainer: Andreas Tille <tille@debian.org>
Section: misc
Priority: optional
Standards-Version: 4.1.1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for libg2
# Author: Andreas Tille <tille@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkglib=libg20
pkgdev=libg2-dev

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# Compile with -fPIC on all platforms
#override_dh_auto_configure:
#        dh_auto_configure -- CFLAGS="$(dpkg-buildflags --get CFLAGS) -fPIC" FFLAGS="$(dpkg-buildflags --get FFLAGS) -fPIC"

# Use the latest version number in the CHANGES file 
version:=$(shell head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+[A-Za-z]/)) print substr($$0,RSTART,RLENGTH)}')
rversion:=$(shell head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+/)) print substr($$0,RSTART,RLENGTH)}')
major:=$(shell head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+/)) print substr($$0,RSTART,RLENGTH)}')

override_dh_auto_clean:
	dh_auto_clean
	rm -f libg*.a lib*.so.0

override_dh_auto_build:
	$(MAKE) depend
	$(MAKE) libg2.a DEBCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	# clean up and build the shared lib
	-rm -f src/*.o src/*/*.o
	$(MAKE) PICFLAG="-fPIC" RVERSION=$(rversion) MVERSION=$(major) DEBCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" shared
	(cd ./g2_perl && perl Makefile.PL INSTALLDIRS=vendor LIBS="-L$(CURDIR) -lg2")
	$(MAKE) -C ./g2_perl LD_RUN_PATH=""

override_dh_auto_install:
	$(MAKE) RVERSION=$(rversion) MVERSION=$(major) install prefix=$(CURDIR)/debian/libg2-dev
	mv $(CURDIR)/debian/$(pkgdev)/usr/lib/lib*.so.0* $(CURDIR)/debian/$(pkglib)/usr/lib
	$(MAKE) -C ./g2_perl install DESTDIR=$(CURDIR)/debian/libg2$(major)-perl

=== debian/watch ===
version=4

https://github.com/danielrmeyer/g2/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
